Page MenuHomePhabricator

ObjectCacheSessionHandler should avoid pointless writes in write()
Closed, ResolvedPublic

Description

Until PHP 5.6, write() is called regardless of whether anything changed. We should detect changes and no-op if there's nothing to do. This is useful for multi-DC sessions to cut writes down to a trickle (nearly all in the hot DC).

Details

Related Gerrit Patches:

Event Timeline

aaron created this task.Feb 5 2015, 12:39 AM
aaron claimed this task.
aaron raised the priority of this task from to Normal.
aaron updated the task description. (Show Details)
aaron added subscribers: PleaseStand, gerritbot, bd808 and 2 others.

Change 188721 had a related patch set uploaded (by Aaron Schulz):
Avoiding writing sessions for no reason

https://gerrit.wikimedia.org/r/188721

Patch-For-Review

Legoktm removed a project: Epic.Feb 10 2015, 6:14 PM
Legoktm set Security to None.

Change 188721 merged by jenkins-bot:
Avoiding writing sessions for no reason

https://gerrit.wikimedia.org/r/188721

Umherirrender closed this task as Resolved.Feb 17 2015, 7:58 PM
Umherirrender added a subscriber: Umherirrender.
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Feb 17 2015, 11:44 PM
Legoktm reopened this task as Open.Aug 3 2015, 4:29 PM
Legoktm added a subscriber: Legoktm.
aaron closed this task as Resolved.Aug 24 2015, 10:44 AM